org.apache.lucene.search.spell

## Class DirectSpellChecker.ScoreTerm

- java.lang.Object
- - org.apache.lucene.search.spell.DirectSpellChecker.ScoreTerm

All Implemented Interfaces:
  Comparable<DirectSpellChecker.ScoreTerm>

Enclosing class:
  DirectSpellChecker

    protected static class DirectSpellChecker.ScoreTerm
    extends Object
    implements Comparable<DirectSpellChecker.ScoreTerm>

Holds a spelling correction for internal usage inside `DirectSpellChecker`.

### Field Summary

Fields
`float` `boost` The boost representing the similarity from the FuzzyTermsEnum (internal similarity score)
`int` `docfreq` The df of the spellcheck correction.
`float` `score` The similarity score.
`BytesRef` `term` The actual spellcheck correction.
`String` `termAsString` The spellcheck correction represented as string, can be `null`.

### Constructor Summary

Constructors
Constructor and Description
`DirectSpellChecker.ScoreTerm()` Constructor.

### Method Summary

Methods
`int` `compareTo(DirectSpellChecker.ScoreTerm other)`
`boolean` `equals(Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### term

    public BytesRef term

The actual spellcheck correction.

#### boost

    public float boost

The boost representing the similarity from the FuzzyTermsEnum (internal similarity score)

#### docfreq

    public int docfreq

The df of the spellcheck correction.

#### termAsString

    public String termAsString

The spellcheck correction represented as string, can be `null`.

#### score

    public float score

The similarity score.

### Constructor Detail

#### DirectSpellChecker.ScoreTerm

    public DirectSpellChecker.ScoreTerm()

Constructor.

### Method Detail

#### compareTo

    public int compareTo(DirectSpellChecker.ScoreTerm other)

Specified by:
  `compareTo` in interface `Comparable<DirectSpellChecker.ScoreTerm>`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`